GuidesAPI Reference
API Reference

Creates a shipment

Creates a new shipment. A shipment consists of segments each representing a part of the logistics journey. A segment spans from a location to another and each segment may be assigned a different tracking device.

The segments of the shipment must form a continuous chain of locations, that is the origin of a segment must match the destination of a previous segment.

Query Params
string
length between 1 and 50

Project ID. Any HERE Tracking user must be a member of a Tracking project. The project ID can be implicitly resolved if the user calling the API is a member of a single project. If the user is a member of multiple projects, the projectId query parameter needs to be specified explicitly.

Body Params

Body for creating a shipment

string
length ≤ 50

Name of the shipment

string
length ≤ 1000

Description of the shipment

string
length ≤ 50

Unique identifier for identifying the shipment in external systems

boolean
Defaults to true

A boolean parameter defining whether the shipment starts upon exiting the first origin location.

boolean
Defaults to false

Flag telling if shipment is a subShipment.

ruleIds
array of uuids
length ≤ 10

Array of ruleIds to associate with the shipment

ruleIds
segments
array of objects
required
length between 1 and 100

Array of objects each defining the origin and destination of the segment. The maximum number of segments in a shipment can have stricter project specific limits than the maximum value documented here.

segments*

A segment of a shipment.

string
length ≤ 50

Name of the segment

string
length ≤ 1000

Description of the segment

string
enum
required

Transport mode of the segment

string
length ≤ 50

Unique identifier for identifying the segment in external systems

string
length between 1 and 50

ID of the tracking device that produces data for this segment

string
required

Origin location of this segment

string
required

Destination location of this segment

date-time

ETD for the segment

date-time

ETA for the segment

metadata
object

Metadata JSON object

date-time

ETD for the shipment

date-time

ETA for the shipment

metadata
object

Metadata JSON object

Headers
uuid

ID used for correlating requests within HERE Tracking. Used for logging and error reporting.

Must be a valid UUIDv4.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json